f



Kerberos for Windows 3.0/3.1

I upgraded my Kfw from 2.6.5 to 3.0 and found out that I could not add an
identity, so I could not log in to my realm.  I then installed kfw 3.1 beta
and the openafs module.  I could login in, but after I logged in the program
would perform an illegal operation and crash.  I looked at the problem and
it was the  afsauthent.dll   Anyone have any ideas?  Thanks

Jeff Hagley
System Administrator
 
Internet2
 
1000 Oakbrook Dr., Suite 300
Ann Arbor, MI 48104
 
(734) 352-4247 - Office
(734) 652-4687 - Mobile
(734) 913-4255 - Fax
 

________________________________________________
Kerberos mailing list           Kerberos@mit.edu
https://mailman.mit.edu/mailman/listinfo/kerberos

0
hagleyj (1)
7/27/2006 4:53:29 PM
comp.protocols.kerberos 5541 articles. 1 followers. jwinius (31) is leader. Post Follow

3 Replies
661 Views

Similar Articles

[PageSpeed] 54

Be sure you are using the version of the afs plugin that matches
KFW 3.1 Beta 1.  You can obtain it from https://www.secure-endpoints.com

The actual problem is an error in OpenAFS.  OpenAFS does not properly
clean up its resources when its libraries are unloaded before the
termination of the process.  This causes the exception.  NetIDMgr 1.1
provides a work around by allowing plug-ins to request that they not
be unloaded.  The most recent AFS plug-in makes the request.  The older
plug-in does not.

Jeffrey Altman


Jeff Hagley wrote:
> I upgraded my Kfw from 2.6.5 to 3.0 and found out that I could not add an
> identity, so I could not log in to my realm.  I then installed kfw 3.1 beta
> and the openafs module.  I could login in, but after I logged in the program
> would perform an illegal operation and crash.  I looked at the problem and
> it was the  afsauthent.dll   Anyone have any ideas?  Thanks
> 
> Jeff Hagley
> System Administrator
>  
> Internet2
>  
> 1000 Oakbrook Dr., Suite 300
> Ann Arbor, MI 48104
>  
> (734) 352-4247 - Office
> (734) 652-4687 - Mobile
> (734) 913-4255 - Fax
>  
> 
> ________________________________________________
> Kerberos mailing list           Kerberos@mit.edu
> https://mailman.mit.edu/mailman/listinfo/kerberos
> 
0
jaltman2 (417)
7/28/2006 12:47:14 AM
Jeff

I am running the latest NetIDMgr release I think (file version 1.1.0.1) and
afs plugin but the NetIDMgr is still crashing. Are there any debug files
that would help? The afs version is a little olf 1.5.0.5 I think so I will
upgrade that to see if that helps.


Cheers

Matt

On 7/28/06, Jeffrey Altman <jaltman2@nyc.rr.com> wrote:
>
> Be sure you are using the version of the afs plugin that matches
> KFW 3.1 Beta 1.  You can obtain it from https://www.secure-endpoints.com
>
> The actual problem is an error in OpenAFS.  OpenAFS does not properly
> clean up its resources when its libraries are unloaded before the
> termination of the process.  This causes the exception.  NetIDMgr 1.1
> provides a work around by allowing plug-ins to request that they not
> be unloaded.  The most recent AFS plug-in makes the request.  The older
> plug-in does not.
>
>
________________________________________________
Kerberos mailing list           Kerberos@mit.edu
https://mailman.mit.edu/mailman/listinfo/kerberos

0
cockerm (1)
8/29/2006 10:43:35 PM
What version of the AFS plug-n are you running?   This information
is available from the NetIDMgr Options->Plug-ins page.

What version of OpenAFS are you running?  This information is available
from the NetIDMgr Options->AFS... page.

1.5.0.5 does not sound like a valid OpenAFS version number.  Please
double check.  OpenAFS 1.5.7 is the most recent build compatible with
the AFS plug-in.

Jeffrey Altman


Matthew Cocker wrote:
> Jeff
> 
> I am running the latest NetIDMgr release I think (file version 1.1.0.1) and
> afs plugin but the NetIDMgr is still crashing. Are there any debug files
> that would help? The afs version is a little olf 1.5.0.5 I think so I will
> upgrade that to see if that helps.
> 
> 
> Cheers
> 
> Matt
> 
> On 7/28/06, Jeffrey Altman <jaltman2@nyc.rr.com> wrote:
>> Be sure you are using the version of the afs plugin that matches
>> KFW 3.1 Beta 1.  You can obtain it from https://www.secure-endpoints.com
>>
>> The actual problem is an error in OpenAFS.  OpenAFS does not properly
>> clean up its resources when its libraries are unloaded before the
>> termination of the process.  This causes the exception.  NetIDMgr 1.1
>> provides a work around by allowing plug-ins to request that they not
>> be unloaded.  The most recent AFS plug-in makes the request.  The older
>> plug-in does not.
>>
>>
> ________________________________________________
> Kerberos mailing list           Kerberos@mit.edu
> https://mailman.mit.edu/mailman/listinfo/kerberos
> 
0
jaltman2 (417)
8/29/2006 11:11:19 PM
Reply:

Similar Artilces:

ssh from windows xp (putty with kerberos) using NetIDMgr 1.1.8.0 (Kerberos for windows 3.1)
Has anyone got a version of putty to work with the Kerberos for Windows release 3.1? I'm running win xp and am able to get my kerberos 5 tokens fine (from CSAIL.MIT.EDU) in NetIDMgr, but I've tried various supposedly kerberos-aware versions of putty with no luck. Thanks. -- Greg -- Greg Sullivan gregs@csail.mit.edu (617)417-4746 (cell) ________________________________________________ Kerberos mailing list Kerberos@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos ...

if time = 3 seconds, how do i set the values of the time steps 0,0.1,0.2,0.3,0.5,1.0,1.5,2.0,3.0,5.0 to -9999 from time =3 seconds
Hi &nbsp; I have 18 inputs (arrays) which contain certain statistics and if time&nbsp;&nbsp;= 3 seconds, set the values of time step 5.0 to -9999.0. &nbsp; I was wondering if there is an efficient way to do this without using a lot of case statements? &nbsp; Thank you. Hello AdrianT, it's not really clear to me what you want to do... I suspect: you have an array containing values and you want to output them with a fixed timing of 3 seconds: you should use a for loop autoindexing trough your array and sending the value to your indicator/output/whatever. Put a "wait for next multiple" into your for loop. Or do you want to have a minimum time delay of 3 seconds? Again use a for loop, get the time value and use a InRange&amp;Coerce with minimum set to 3 seconds... Or you should explain more precisely what you need... Hi Thanks for that. Let me explain. &nbsp; The time may vary. Let me give an example. if time&nbsp; = 2.1, I want to set the time step's &nbsp;3.0 and 5.0's values to -9999.0. if the time =0.1 seconds then I want to set 0.2,0.3, 0.5 etc values to -9999.0 etc .................................................................... &nbsp; Can you please help? Thank you. Hello TUDS, do you use different accounts/nicknames ? Well, that's easy, at least for a sorted array: Search for your time-value in the array (Threshold 1D array). Fill all elements from that index till the end with your "error...

RHEL 3.0 and Kerberos 1.3.4
G'day All, I've attempting to get kerberos installed and configured on a RHEL 3.0 server. Originally RHEL came with kerberos 1.2.7. I located and installed from rpm the 1.3.4 version of kerberos. I had it working at one point then decided to recreate the principal databases and keytab files. Since recreating the databases kerberos has not worked. I continually receive: "kinit(v5): Password incorrect while getting initial". I've checked and rechecked the password numerous times. I used the following script to create the kerberos database: ------------------------- cut here ----------------------- #!/bin/sh # Script to initialize Kerberos Database # KRBDOMAIN=<Kerberos Domain> KRBFQDN=<domain name> KRBDIR=/var/kerberos/krb5kdc echo "Initialize Kerberos Database..." /usr/kerberos/sbin/kdb5_util create -r $KRBDOMAIN -s echo "Creating initial admin roles..." for x in admin changepw do /usr/kerberos/sbin/kadmin.local -q "ktadd -k $KRBDIR/kadm5.keytab kadmin/$x" done echo "Done." /sbin/service krb5kdc start /sbin/service kadmin start echo "Adding Principals..." for x in krbadm Manager Replicator do echo "Adding $x" if [ "$x" = "krbadm" ]; then /usr/kerberos/sbin/kadmin.local -q "ank $x/admin@$KRBDOMAIN" /usr/kerberos/sbin/kadmin.local -q "ktadd $x/admin@$KRBDOMAIN" else ...

windows 3.0 or windows 3.1
hi, everyone... can you help me? i couldn't find a copy of win3.0 or win 3.1 for my old pc 80286.. someone knows where can i found it?.. sorry my english "Eddie Pistolas" <kojiro@kmail.kicks-ass.org> wrote in message news:3f163271$1_1@nova.entelchile.net... > hi, everyone... can you help me? i couldn't find a copy of win3.0 or win 3.1 > for my old pc 80286.. someone knows where can i found it?.. sorry my english > > you may want to check in on www.obsoletecomputermuseum.org/helpline ...

xcode 3.1.2 1613.0/1614.0/1591.0 (sdk 3.1.3) strikes again
Beware of a developer with access to threads: while debugging an app in xcode on ipod Xcode manages to tie up BOTH cores on mac mini (cpu idle is never above 15% and xcode cpu usage is %150-170%) I'm doing absolutely NOTHING on desktop: just sitting watching the top -o cpu output while a QA slave is trying to crash my app on the ipod tethered to the mac mini trying to move a cursor in a source code window is a rather painful experience naturally gdb barely uses ANY cpu cycles, ditto the userspace kernel processes I dare not to think what xcode predecessor was like if peo...

Kerberos for Windows 3.2.3-alpha and Network Identity Manager 2.0
I have a few questions about the new Kerberos for Windows (KfW) on MIT's website and the new Network Identity Manager (NIM) on Secure Endpoints website. - What's different between KfW-3.2.2 and KfW-3.2.3.alpha on MIT's website? Are there any release notes for 3.2.3.alpha? - At the end of the KfW-3.2.3.alpha install, there's a question: Ensure that the Kerberos tickets are available throughout the Windows login session What does this mean? And how is this setting configured? I couldn't find a difference in what was installed or in the registry depending on if this was enabled or not. - Exactly how "alpha" is 3.2.3? Based on the dates here: http://web.mit.edu/kerberos/dist/kfw/3.2/kfw-3.2.3-alpha1/ It looks like it's been on the website for almost 1.5 years, which seems like quite a while... are there plans to release this at some point? - Does 3.2.3 include the new NIM 2.0 from Secure Endpoints website? - Can NIM 2.0 (from Secure Endpoints) be installed over top KfW 3.2.3.alpha? And if so, is it a wise thing to do? ...

Samba 3.0 as NT4 PDC with MIT kerberos 1.3 (v5) for authentication?
Hi All- I realize that I am perhaps posting in the wrong group, and I'll certainly try the kerberos lists/groups next, but I thought I'd start here since I just posted here recently with a slightly different set of questions. Previously, I asked if Samba 3.0 could be an Active Directory Domain Controller (ADDC). I haven't seen any replies yet, but I have the feeling that the answer is no. If so, then I have this other question: Can I use Samba as an NT4 PDC for making a Windows NT4 domain that would host several M$ Windows XPP client computers as domain clients/m...

Samba 3.0 as Active Directory Domain Controller with MIT Kerberos 1.3 KDC?
"Gerald (Jerry) Carter" <jerry@samba.org> wrote in message news:<zwyd.1Tn.5@gated-at.bofh.it>... > The Samba Team is proud to announce the availability of the > first official release of the Samba 3.0 code base. > > Major new features: > - ------------------- > > 1) Active Directory support. Samba 3.0 is now able to > join a ADS realm as a member server and authenticate > users using LDAP/Kerberos. > Hi Gerald (Jerry) and Samba Team! Before anythings else, I'd just like to start by thanking you for your magnificent contribution to the Open Source community. I've been using Samba in various contexts for almost 2 years now and it's been a huge benefit to me. Thank you, Thank you, Thank you! I've been using Samba 2.2 as a PDC for a production environment with Windows XPP and Windows 2000 Pro clients and serving up a database application and Samba does beautifully at this task and has done so for more than a year. Since I see that with 3.0, Samba now supports Active Directory, it occurs to me that I might now be able to use Samba as an emulated Windows 2000 Domain Controller (i.e., an Active Directory Domain Controller with Kerberos), but perhaps that level of functionality is not there yet? I see in the Samba-HOWTO collection documentation (included with the 3.0 stable tarball and dated 21 April 2003) the following statements: ===================== The foll...

GCC 3.3.3 and Ruby 1.8.0 and 1.8.1
We recently upgraded to GCC 3.3.3 and now we can no longer compile ruby due to its use of some obsoleted constructs. Apparently GCC no longer supports <varargs.h>, and code should be revised to use <stdarg.h> Not knowing anything about it, is there a good workaround? Will this be changed in future versions of Ruby so that it will play nice with the latest GCC? gcc -fPIC -g -O2 -fPIC -mpa-risc-2-0 -I. -I/home/kgr/work/actruby/build/hpux11.0/pa2.0/debug/src/compiled-1.8.0 -I/home/kgr/work/actruby/build/hpux11.0/pa2.0/debug/src/ruby-1.8.0 -I/home/kgr/work/actruby/build/hpux11.0...

Kerberos for Windows 3.1 Beta 1 is available
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 The MIT Kerberos Development Team is proud to announce the first *BETA* release of the next revision of our Kerberos for Windows product, Version 3.1. Please send bug reports and feedback to kfw-bugs@mit.edu. What's New: =========== Version 3.1 fixes bugs and adds minor functionality: * Improvements to the Network Identity Manager 1. A serious memory leak has been fixed 2. Principal names containing numbers are no longer considered invalid 3. Locales other than en_US are now supported 4. Arbitrary sort ordering of credentials 5. Support for FILE: ccaches 6. Credential properties may be selected by the user for display 7. User selected font support 8. Tool Tip support added to the Toolbar 9. Identities can be added without obtaining credentials 10. Kerberos 5 Realm editor has been added * The MSLSA: ccache is disabled in WOW64 environments prior to Microsoft Windows Vista Beta 2 * The installers are built using the latest toolkit versions NSIS (2.18) and WIX (2.0.4220.0) Version 3.0 provided several often requested new features: * thread-safe Kerberos 5 libraries (provided by Kerberos 5 release 1.4.3) * a replacement for the Leash Credential Manager called the Network Identity Manager - a visually enticing application that takes advantage of all of the modern XP style User Interface enhancements - supp...

FunkLoad 1.3.0 and 1.3.1 are out
FunkLoad 1.3.0 and 1.3.1 (which fixed a bug in the previous release) are out. FunkLoad 1.3.0 introduces a new http-proxy based recorder for user sessions. It also fixes a couple of outstanding bugs. Grab FunkLoad 1.3.1 on: http://funkload.nuxeo.org/ About FunkLoad: FunkLoad is a open source functional and load web tester, written in Python, whose main use cases are functional and regression testing of web projects, performance testing by loading the web application and monitoring your servers, load testing to expose bugs that do not surface in cursory testing, and stress testing to overwhelm the web application resources and test the application recoverability, and writing web agents by scripting any web repetitive task, like checking if a site is alive. ...

0.1 + 0.1 + 0.1
This is gcc 4.8.1 with no compiler option used: #include <stdio.h> #include <stdlib.h> int main( void ) { double x = rand() < 0 ? 0 : 0.1; double y = rand() < 0 ? 0 : 0.3; printf( "%g\n", x + x + x - y ); printf( "%g\n", 0.1 + 0.1 + 0.1 - 0.3 ); } 2.77556e-017 5.55112e-017 The second number written becomes �0� as soon as I add the compiler option �-std=c11�, why? On 10/23/14 9:41 PM, Stefan Ram wrote: > This is gcc 4.8.1 with no compiler option used: > > #include <stdio.h> > #include <stdlib.h...

[1 1 1 1 1 ;2 2 2 2 2 ;3 3 3 3 3 3;....;n n n n n]
Hi, Anybody knows how to create this matrix but without using any loops? a=[1 1 1 1 1 ;2 2 2 2 2 ;3 3 3 3 3 ;.......;n n n n n ] Thank you. Hana. Hana wrote: > Hi, > Anybody knows how to create this matrix but without using any loops? > a=[1 1 1 1 1 ;2 2 2 2 2 ;3 3 3 3 3 ;.......;n n n n n ] HELP REPMAT - Randy Hana wrote: > > > Hi, > Anybody knows how to create this matrix but without using any > loops? > a=[1 1 1 1 1 ;2 2 2 2 2 ;3 3 3 3 3 ;.......;n n n n n ] > > Thank you. > Hana. Hope this isn't homework. >> repmat([1:n]'...

Tcl3d 0.3.2 (and 0.3.1) and user-level permissions issues on Windows
Hi all. Another Tcl3D related query... After installing Tcl3D into C:\Tcl\lib\tcl3d, I've changed permissions so the directory structure and files within have been given "full control" to Users (rwxrwxrwx in Unix terms). Using a "Limited" account (no Admin priveleges but in group Users), I run presentation.tcl from the demos directory and see the following errors after clicking the "Tcl3D Packages" button: tcl3dcg: couldn't load library "C:/Tcl/lib/tcl3d/tcl3dcg/tcl3dCg.dll": permission denied tcl3dftgl: couldn't load library "C...

Kerberos for Windows version 3.1.1 updates DST behavior
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 MIT Kerberos for Windows version 3.1.1 contains installers which update the MS Visual C++ .NET 2003 C Runtime Libraries to provide correct Daylight Saving Time rules when the TZ environment variable is set. The kfw-3.1.1 installers contain the kfw-3.1.0 binaries and the updated C Runtime Libraries. For existing installations, no change is required unless the TZ environment variable is in use. If it is, upgrading the KfW installation is required. MIT Kerberos for Windows releases 2.6.5 and above use versions of the Microsoft Visual C++ .NET 2003 C Runtime Libraries which do not correctly compute the start of DST for the 2007 United States DST rule changes if the TZ environment variable is set. The TZ environment variable is normally not set, but it may have been set in order to support compatibility with specific applications. Binaries and source code can be downloaded from the MIT Kerberos web site: http://web.mit.edu/kerberos/dist/index.html -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.6 (SunOS) iQCVAwUBRfMhV6bDgE/zdoE9AQK7hAP+LDxutvJqEsuwrzSQzp82HNnbZ/BKIPCp m9qq4MN72IbWOWvwW7QN0VIF638CRfEkJwZioJs2sdXJm+bDeLgAklKqvZgZPvia 6VBxtvvzdIRg6cW1Kp7ODWy9eShJU2KTmex2Rn9E0A66lTJ0QvsIzX8Wvf3Md+uF xvvrPDolhhg= =Eel5 -----END PGP SIGNATURE----- _______________________________________________ kerberos-announce mailing list kerberos-announce@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos-announce ____________________...

Does the PIX 515 have to be rebooted after upgrading from PDM 3.0(1) to 3.0(3)?
Hi. Does the PIX 515 have to be rebooted after upgrading from PDM 3.0(1) to 3.0(3)? I would like to do the upgrade during business hours. Thanks. In article <HdrKe.447$xW.419@bignews6.bellsouth.net>, Corbin O'Reilly <corbinoreilly@bellsouth.net> wrote: :Hi. Does the PIX 515 have to be rebooted after upgrading from PDM 3.0(1) to :3.0(3)? No reboot should be needed, but I cannot find the appropriate reference clause at the moment. :I would like to do the upgrade during business hours. Thanks. -- Any sufficiently old bug becomes a feature. ...

Port 6667 & 10.0.1.128/1.1.1.1/1.3.3.7
Hello, I'm seeing a lot of traffic trying to leave my firewall destined for port 6667 at the IPs 10.0.1.128, 10.10.10.10, 1.1.1.1 and 1.3.3.7 (sounds like l337/elite to me :-). Yes - I know the 10.x.x.x traffic isn't going too far.... RFC1918, etc, etc. Various Google searches and searches on the various A/V sites haven't turned up a definite answer - just more questions about the same thing. Can anyone clue me in to the exact trojan/worm/virus this may be and/or if they're seeing the same kind of traffic. Any insight is appreciated.... Thanks. B > Hello, > >...

[News] Firefox 3.1 Beta Released; Reviews of 3.0 and 3.1 Beta
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Firefox 3.1 beta 1 released and reviewed ,----[ Quote ] | Mozilla has released Firefox 3.1 Beta 1, the first official development | release of the next update to Firefox 3 just about four months after its | release past June. `---- http://mozillalinks.org/wp/2008/10/firefox-31-beta-1-released-and-reviewed/ Browser Review: Mozilla Firefox 3 ,----[ Quote ] | By some estimates, more than 1.4 billion people use the Internet for work, | entertainment, or commerce. All of those web surfers must use a browser to | visit websites or shop at onli...

Compiling MIT Kerberos 1.3.3...or should I say NOT compiling
For starters, I've only experimented with Linux through the years. Loading it to see what progress it has mad. Simply put, I'm a noob. A little history. I'm trying to get Linux into my corporate Windows 2003 ADS tree. I can join ADS and have successfully shared directories to my ADS groups. Experiments have been somewhat successful but I have trouble repeating the process. I say its somewhat successful because authentication is sporadic at best. I think I've narrowed it down to multiple versions of Kerberos. One version is installed at O/S load time, 1.2.7 (/usr/kerberos) and one I'm trying to upgrade to (/usr/local - in the MIT binaries). I'm trying to compile Kerberos 1.3.3 to /usr/kerberos with: ../configure --prefix=/usr/kerberos make Its failing with the make command. I should point out that it fails with the make command even if I do not specify the --prefix. The last few lines are: tcl_ovsec_kadm.c:1982: `interp' undeclared (first use in this function) tcl_ovsec_kadm.c:1983: `TCL_GLOBAL_ONLY' undeclared (first use in this function)tcl_ovsec_kadm.c:1996: warning: implicit declaration of function `Tcl_CreateCommand' make[3]: *** [tcl_ovsec_kadm.o] Error 1 make[3]: Leaving directory `/root/install-config/krb/krb5-1.3.3/src/kadmin/testing/util' make[2]: *** [all-recurse] Error 1 make[2]: Leaving directory `/root/install-config/krb/krb5-1.3.3/src/kadmin/testing' make[1]: *** [all-recurse] Error 1 make[1]: Leaving...

gawk 3.0.6 vs 3.1.3
Hello, I wrote several routines a while ago using gawk 3.0.6. Now I updated gawk to 3.1.3 and I found that the following routine listing the contents of a directory doesn't work in new version of gawk: BEGIN{ _dir="/home/pdebicki/work"; while ( ("ls -aF " _dir | getline) > 0 ) { print $0; } close("ls -aF " _dir) } when I rearranged the routine in the following way it started to work: BEGIN{ _dir="/home/pdebicki/work"; command="ls -aF " _dir while ( (command | getline) > 0 ) { print $0; } close(command) } Can anybody ...

XFree86-4.3.0,1 to 3.3.6_11
4.3.0,1 was installed as the default by the FreeBSD 4.8 cd. I would like to install 3.3.6_11 because startx opens a window & hangs w/ the mouse able to move the curser. I can see that I have 3.3.3_11 in /usr/ports/x11/XFree86 with the scripts configure and configure.build_xdist. I am a newbe & don't know how to run them,I have tried #make install, #make all clean install, and the ports w/o success. The base 4.8 system seems good as I've upgraded the ports, and ssl w/o a problem. Thanks in advance for any advice. Henry MacCheeta <MacCheeta@netscape.net> writes: > 4.3.0,1 was installed as the default by the FreeBSD 4.8 cd. > I would like to install 3.3.6_11 because startx opens a window > & hangs w/ the mouse able to move the curser. > I'd first make really, really sure that there's any chance this would solve the problem. Do you really have a Very Old grapics card that's badly supported in 4.3? I suspect this is a configuration problem you won't solve with installing 3.3.6. Post some details on your hardware and X configuration here. (See /etc/X11/XFConfig and /var/log/XFree86.0.log, maybe use 'scanpci', etc.) Gru� - Thomas -- # PGP key auf Wunsch per e-mail / PGP key sent on request ...

Kerberos for Windows 3.2.1 is released
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 The MIT Kerberos Development Team and Secure Endpoints Inc. are proud to announce the release of MIT's Kerberos for Windows product, Version 3.2.1. Please send bug reports and feedback to kfw-bugs@mit.edu. Supported Versions of Microsoft Windows ======================================= This release requires 32-bit editions of Microsoft Windows 2000 and higher or the WOW64 environment of 64-bit editions of Microsoft Windows XP and higher. Downloads ========= Binaries and source code can be downloaded from the MIT Kerberos web site: http://web.mit.edu/kerberos/dist/index.html What's New in KFW 3.2.1: ======================== * Network Identity Manager Application o The default identity background color has been removed. o The Basic view updates to reflect deleted and modified identities. o The watermark can be controlled by a registry setting. * Kerberos v5 Library Improvements o Based on krb5-1.6.2 What's New in KFW 3.2: ====================== * Network Identity Manager Application o A simplified basic mode has been added to the "obtain new credentials dialog". The basic mode replaces the credential browser with a button that can be used to access the advanced configuration functions. This advanced mode provides the credential browser and a tabbed view of the configuration dialogs for each of the available credential pro...

Kerberos for Windows version 3.0 is released
-----BEGIN PGP SIGNED MESSAGE----- The MIT Kerberos Development Team is proud to announce the release of the next major revision of our Kerberos for Windows product, Version 3.0. Version 3.0 provides several often requested new features: * thread-safe Kerberos 5 libraries (provided by Kerberos 5 release 1.4.3) * a replacement for the Leash Credential Manager called the Network Identity Manager - a visually enticing application that takes advantage of all of the modern XP style User Interface enhancements - supports the management of multiple Kerberos 5 identities in a variety of credential cache types including CCAPI and FILE. - credentials can be organized by credential cache location or by identity - a single identity can be marked as the default for use by applications that request the current default credential cache - Network Identity Manager is built upon the Khimaira Identity Management Framework introduced this past summer at the AFS & Kerberos Best Practices Conference at CMU. - Credential Managers for Kerberos 5 and Kerberos 4 are provided. An AFS Credential Manager will be made available by Secure Endpoints Inc. http://www.secure-endpoints.com - The Khimaira framework is a pluggable engine into which custom Identity Managers and Credential Managers can be added. Organizations interested in building plug-ins for the Network Identity Manager may ...

Build failure with Kerberos for Windows 3.0
I have downloaded the source code for MIT Kerberos for Windows 3.0 via http://web.mit.edu/kerberos/dist/index.html#kfw-3.0 (kfw-3.0-src.zip, 12412k)), but cannot make a good build out of it. There are various missing directories existing only in Makefies, the krbcc\src\CCacheLib folder contains only source code for Macintosh, and there is missing header files, such as windns.h. Has anybody ever tried to make a build from the source code in kfw-3.0-src.zip? I need a rebuild to debug the code about krbcc. Thanks. Yi Yi wrote: > I have downloaded the source code for MIT Kerberos for Windows 3.0 via > http://web.mit.edu/kerberos/dist/index.html#kfw-3.0 (kfw-3.0-src.zip, > 12412k)), but cannot make a good build out of it. There are various > missing directories existing only in Makefies, the krbcc\src\CCacheLib > folder contains only source code for Macintosh, and there is missing > header files, such as windns.h. windns.h is a windows header file krbcc\src\CCacheLib is not for Windows. The windows code is in the inc, lib, dll, and exe directories. > Has anybody ever tried to make a build from the source code in > kfw-3.0-src.zip? I need a rebuild to debug the code about krbcc. What is the problem that you are experiencing that you need to debug? Thanks for the info. I am testing the ticket forwarding capability of GSSAPI library in KfW when used with libcurl library. My testing program is invoked via IIS CGI as an impersonation process of the I...

Web resources about - Kerberos for Windows 3.0/3.1 - comp.protocols.kerberos

Kerberos (protocol) - Wikipedia, the free encyclopedia
MIT developed Kerberos to protect network services provided by Project Athena . The protocol is based on the earlier Needham-Schroeder Symmetric ...

Trekkies miss out after push to name Pluto moon 'Vulcan' fails; Kerberos and Styx chosen instead
BAD news, 'Star Trek' fans: Pluto's fourth and fifth moons have been named Kerberos and Styx, despite 'Vulcan' being the top suggestion.

Meet Pluto's smallest moons: Kerberos and Styx
Pluto's two smallest known moons have been officially named after characters associated with the underworld of Greek and Roman mythology.

Pluto's moons named Styx and Kerberos, despite vote for Vulcan
... Astronomical Union vetoed a public vote to name one of Pluto's two most recently discovered moons Vulcan and named the moons Styx and Kerberos. ...

Meet Styx and Kerberos, Pluto's newly named moons
... of new moons orbiting Pluto (at SETI's behest), it decided to do some planetoid naming, too. Today, SETI announced those names: Styx and Kerberos. ...

Microsoft Issues Emergency Patch for Kerberos Bug
The vulnerability could enable an attacker to elevate privileges. Microsoft recommends that organizations consider rebuilding their Windows domains. ...

Kerberos Productions Offers Expertise to President on the Weaponization of Outer Space
... game violence to the President and Vice-President of the United States, Sword of the Stars 1 & 2, Fort Zombie, and NorthStar developer Kerberos ...

The fourth and fifth moons of Pluto have officially been named Kerberos and Styx, respectively.
The fourth and fifth moons of Pluto have officially been named Kerberos and Styx , respectively. The Earth's moon is still named fucking "Aiden." ...

Poll For Pluto's Moons Closes, Vulcan and Kerberos Win - Geekosystem
First the SETI Institute put it up for vote, then the geeks and nerds swarmed the Internet, and now it's as certain as it can be before the International ...

Kerberos unleashed at last: Pluto’s dog-bone moon poses another mystery
NASA’s New Horizons probe has finally filled out its family portrait of Pluto and its moons – and Kerberos, the last moon to get its closeup, ...

Resources last updated: 3/10/2016 2:18:19 PM